org.mariadb.jdbc.internal.mysql

## Class MySQLColumnInformation

- java.lang.Object
- - org.mariadb.jdbc.internal.mysql.MySQLColumnInformation

    public class MySQLColumnInformation
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MySQLColumnInformation(RawPacket buffer)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MySQLColumnInformation` `create(String name, MySQLType type)`
`String` `getCatalog()`
`short` `getCharsetNumber()`
`String` `getDb()`
`byte` `getDecimals()`
`int` `getDisplaySize()`
`short` `getFlags()`
`long` `getLength()`
`String` `getName()`
`String` `getOriginalName()`
`String` `getOriginalTable()`
`String` `getTable()`
`MySQLType` `getType()`
`boolean` `isBinary()`
`boolean` `isBlob()`
`boolean` `isMultipleKey()`
`boolean` `isNotNull()`
`boolean` `isPrimaryKey()`
`boolean` `isSigned()`
`boolean` `isUniqueKey()`
`boolean` `isZeroFill()`
`void` `setUnsigned()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySQLColumnInformation

    public MySQLColumnInformation(RawPacket buffer)
                           throws IOException

Throws:
  `IOException`

### Method Detail

#### create

    public static MySQLColumnInformation create(String name,
                                                MySQLType type)

#### getCatalog

    public String getCatalog()

#### getDb

    public String getDb()

#### getTable

    public String getTable()

#### getOriginalTable

    public String getOriginalTable()

#### getName

    public String getName()

#### getOriginalName

    public String getOriginalName()

#### getCharsetNumber

    public short getCharsetNumber()

#### getLength

    public long getLength()

#### getDisplaySize

    public int getDisplaySize()

#### getDecimals

    public byte getDecimals()

#### getType

    public MySQLType getType()

#### getFlags

    public short getFlags()

#### isSigned

    public boolean isSigned()

#### isNotNull

    public boolean isNotNull()

#### isPrimaryKey

    public boolean isPrimaryKey()

#### isUniqueKey

    public boolean isUniqueKey()

#### isMultipleKey

    public boolean isMultipleKey()

#### isBlob

    public boolean isBlob()

#### setUnsigned

    public void setUnsigned()

#### isZeroFill

    public boolean isZeroFill()

#### isBinary

    public boolean isBinary()